littledidi 2022-06-06 18:00 采纳率: 42.5%
浏览 339
已结题

vue引用ant-design-vue报错

vue2使用ant-design-vue时出现的错误报错,是因为版本不兼容问题吗?还是因为其他问题

img

img


Uncaught TypeError: (0 , _vue.defineComponent) is not a function
at eval (LocaleReceiver.js?12f4:17:1)
at ./node_modules/ant-design-vue/lib/locale-provider/LocaleReceiver.js (chunk-vendors.js:945:1)
at webpack_require (app.js:257:33)
at fn (app.js:491:21)
at eval (index.js?14e1:20:1)
at ./node_modules/ant-design-vue/lib/empty/index.js (chunk-vendors.js:923:1)
at webpack_require (app.js:257:33)
at fn (app.js:491:21)
at eval (renderEmpty.js?cb41:12:1)
at ./node_modules/ant-design-vue/lib/config-provider/renderEmpty.js (chunk-vendors.js:890:1

  • 写回答

4条回答 默认 最新

  • 王鹏飞的解忧屋 2022-06-06 18:38
    关注
    
    //查看依赖的所有版本
    npm view ant-design-vue versions --json
    回显如下
    [
      "1.0.2",
      "1.0.3",
      "1.1.0-beta.0",
      "1.1.0",
      "1.1.1",
      "1.1.2",
      "1.1.3",
      "1.1.4",
      "1.1.6",
      "1.1.7",
      "1.1.8",
      "1.1.9",
      "1.1.10-beta",
      "1.1.10",
      "1.2.0",
      "1.2.1",
      "1.2.2",
      "1.2.3"]
    //安装指定版本
    npm i --save-dev ant-design-vue@1.7.0
    
    
    
    
    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论
查看更多回答(3条)

报告相同问题?

问题事件

  • 系统已结题 6月15日
  • 已采纳回答 6月7日
  • 创建了问题 6月6日

悬赏问题

  • ¥18 深度学习tensorflow1,ssdv1,coco数据集训练一个模型
  • ¥100 关于注册表摄像头和麦克风的问题
  • ¥30 代码本地运行正常,但是TOMCAT部署时闪退
  • ¥15 关于#python#的问题
  • ¥15 主机可以ping通路由器但是连不上网怎么办
  • ¥15 数据库一张以时间排好序的表中,找出多次相邻的那些行
  • ¥50 关于DynamoRIO处理多线程程序时候的问题
  • ¥15 kubeadm部署k8s出错
  • ¥15 Abaqus打不开cae文件怎么办?
  • ¥15 小程序准备上线,软件开发公司需要提供哪些资料给甲方